Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 458159 - tempcertreq is created in current dir
Summary: tempcertreq is created in current dir
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: freeIPA
Classification: Retired
Component: ipa-server
Version: 1.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 431020
TreeView+ depends on / blocked
 
Reported: 2008-08-06 19:18 UTC by Simo Sorce
Modified: 2015-01-04 23:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 09:28:58 UTC


Attachments (Terms of Use)
Use temporary directory for storing files needed during cert request (1.74 KB, patch)
2008-08-14 22:21 UTC, Rob Crittenden
no flags Details | Diff
change to out tempdir before calling certutil (1.34 KB, patch)
2008-12-08 16:57 UTC, Rob Crittenden
no flags Details | Diff

Description Simo Sorce 2008-08-06 19:18:33 UTC
To create the cacert during ipa-server-install we create a temporary certificate request tempcertreq in the current directory.
This may fail if the current directory is not writable, the temp cert should be created in a safe directory like /var/lib/ipa where we known we have write access

Comment 1 Rob Crittenden 2008-08-14 21:53:42 UTC
It doesn't write in the current directory but in the directory that the certificate database is being created in.

Comment 2 Rob Crittenden 2008-08-14 22:21:33 UTC
Created attachment 314360 [details]
Use temporary directory for storing files needed during cert request

Comment 3 Rob Crittenden 2008-08-15 15:06:04 UTC
master: 548c169c5ac1f16e75838d897cccafce61b21dc0

Comment 6 Rob Crittenden 2008-12-08 16:57:32 UTC
Created attachment 326145 [details]
change to out tempdir before calling certutil

Comment 7 Rob Crittenden 2009-01-12 19:29:16 UTC
master: ed61f0bf3417ce4c360d7bd366d2f65b39d2755f


Note You need to log in before you can comment on or make changes to this bug.